Skip to main content
POST
/
v1
/
serp
/
batch
SERP Batch
curl --request POST \
  --url https://sdk.nimbleway.com/v1/serp/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "query": "best coffe near me"
    },
    {
      "query": "best tea near me"
    }
  ],
  "shared_inputs": {
    "search_engine": "google_search",
    "country": "US",
    "locale": "en-US",
    "callback_url": "https://example.com/webhook/callback",
    "storage_type": "s3",
    "storage_url": "s3://bucket-name/path/to/object",
    "storage_compress": true,
    "storage_object_name": "result-2024-01-15.json"
  }
}
'
{
  "batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
  "batch_size": 1,
  "tasks": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "state": "pending",
      "output_url": "string",
      "created_at": "2024-01-15T10:30:00Z",
      "modified_at": "2024-01-15T10:35:00Z",
      "account_name": "string",
      "input": null,
      "batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
      "status_code": 200,
      "api_type": "serp"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
inputs
SerpPayload · object[]
shared_inputs
SerpPayload · object

Request body model for the fast serp endpoint

Response

SERP Batch Created

Response when a batch of extract tasks is created successfully.

batch_id
string

Unique identifier for the batch.

batch_size
number

Number of tasks in the batch.

tasks
object[]

List of created tasks.